@charset "utf-8";

*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

img {
  max-width: 100%;
}

.header {
  background: linear-gradient(-135deg, #E4A972, #9941D8);
  font-family: 'Montserrat', sans-serif;
}

.header h1 {
  font-size: 70px;
  font-weight: bold;
  color: #ffffff;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.description {
  font-size: 18px;
  color: #ffffff;
  height: 50px;
  display: flex;
  justify-content: center;
}

.main {
  font-family: 'Montserrat', sans-serif;
}

.form {
  padding-top: 50px;
  padding-bottom: 50px;
  justify-content: center;
  text-align: center;
}

.input_text {
  font-family: 'Montserrat', sans-serif;
  font-size: 20px;
  padding: 4px;
}

.input_text:focus {
  outline: 0;
  box-shadow: 0 0 1px 4px #ffbf47
}

.button {
  display: flex;
  padding-bottom: 60px;
  justify-content: center;
  text-align: center;
  gap: 20px;
}

.input-button {
  font-size: 22px;
  font-weight: bold;
  background-color: #f4dd64;
  cursor: pointer;
  display: inline-block;
  min-width: 150px;
  line-height: 46px;
  border-radius: 24px;
}

.reset-button {
  font-size: 14px;
  font-weight: bold;
  background-color: #d3d3d3;
  cursor: pointer;
  display: inline-block;
  min-width: 90px;
  line-height: 36px;
  height: 36px;
  border-radius: 24px;
  margin-top: auto;
  margin-bottom: auto;
}

.share-button {
  font-size: 14px;
  font-weight: bold;
  color: #FFFFFF;
  background-color: #1da1f2;
  cursor: pointer;
  display: inline-block;
  min-width: 90px;
  line-height: 36px;
  height: 36px;
  border-radius: 24px;
  margin-top: auto;
  margin-bottom: auto;
}

.result {
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  padding-bottom: 50px;
}

.chat_area {
  display: flex;
  flex-flow: row;
  align-items: center;
  height: auto;
  gap: 30px;
}

.ai_img {
  width: 140px;
}

.answer_area {
  position: relative;
}

.answer {
  border: 1px solid #000000;
  border-radius: 30px 30px 30px 0;
  height: auto;
  min-height: 150px;
  padding: 20px 20px 20px 20px;
  width: 1000px;
  display: flex;
  justify-content: center;
  align-items: center;
  white-space: pre-wrap;
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
}

.animation_area {
  position: absolute;
  top: 0;
  min-height: 150px;
  width: 1000px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.animation {
  height: 28px;
}

.explain {
  width: 100%;
  padding-right: 300px;
  padding-left: 300px;
  margin-top: 100px;
}

.explain h2 {
  font-size: 40px;
  font-weight: 400;
  text-align: center;
  margin-bottom: 40px;
}

.explain p {
  font-size: 22px;
  margin-bottom: 100px;
}

.footer {
  color: #ffffff;
  background-color: #24211b;
  height: 54px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 50px;
}

.copyright {
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  font-weight: bold;
  color: #ffffff;
}


@media (max-width: 800px){
  *,
  ::before,
  ::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }

  img {
    max-width: 100%;
  }

  .header {
    background: linear-gradient(-135deg, #E4A972, #9941D8);
    font-family: 'Montserrat', sans-serif;
  }

  .header h1 {
    font-size: 36px;
    font-weight: bold;
    color: #ffffff;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .description {
    font-size: 12px;
    color: #ffffff;
    height: 30px;
    display: flex;
    justify-content: center;
  }


  .main {
    font-family: 'Montserrat', sans-serif;
  }

  .form {
    padding-top: 30px;
    padding-bottom: 30px;
    justify-content: center;
    text-align: center;
  }

  .input_text {
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    padding: 4px;
    width: 340px;
  }

  .input_text:focus {
    outline: 0;
    box-shadow: 0 0 1px 4px #ffbf47
  }

  .button {
    padding-bottom: 30px;
    text-align: center;
    justify-content: center;
    text-align: center;
    gap: 16px;
  }

  .input-button {
    font-size: 18px;
    font-weight: bold;
    background-color: #f4dd64;
    cursor: pointer;
    display: inline-block;
    min-width: 120px;
    line-height: 44px;
    border-radius: 24px;
  }

  .reset-button {
    font-size: 14px;
    font-weight: bold;
    background-color: #d3d3d3;
    cursor: pointer;
    display: inline-block;
    min-width: 86px;
    line-height: 36px;
    height: 36px;
    border-radius: 24px;
    margin-top: auto;
    margin-bottom: auto;
  }

  .share-button {
    font-size: 14px;
    font-weight: bold;
    color: #FFFFFF;
    background-color: #1da1f2;
    cursor: pointer;
    display: inline-block;
    min-width: 86px;
    line-height: 36px;
    height: 36px;
    border-radius: 24px;
    margin-top: auto;
    margin-bottom: auto;
  }

  .result {
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: center;
    padding-bottom: 40px;
  }

  .chat_area {
    gap: 14px;
  }

  .ai_img {
    width: 60px;
  }

  .answer_area {
    position: relative;
  }

  .answer {
    border: 1px solid #000000;
    border-radius: 30px 30px 30px 0;
    height: auto;
    min-height: 150px;
    padding: 20px 20px 20px 20px;
    width: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: pre-wrap;
    font-family: 'Montserrat', sans-serif;
    font-size: 12px;
  }

  .animation_area {
    position: absolute;
    top: 0;
    min-height: 150px;
    width: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .animation {
    height: 20px;
  }

  .explain {
    width: 100%;
    padding-right: 10px;
    padding-left: 10px;
    margin-top: 40px;
  }

  .explain h2 {
    font-size: 24px;
    margin-bottom: 40px;
  }

  .explain p {
    font-size: 16px;
    margin-bottom: 70px;
  }

  .footer {
    color: #ffffff;
    background-color: #24211b;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .copyright {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: bold;
  }
}
